<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: gnuplot_link.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('gnuplot__link_8cpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">gnuplot_link.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;fcntl.h&gt;</code><br />
<code>#include &lt;sys/stat.h&gt;</code><br />
<code>#include &lt;unistd.h&gt;</code><br />
<code>#include &lt;cmath&gt;</code><br />
<code>#include &lt;cstdio&gt;</code><br />
<code>#include &lt;cstdlib&gt;</code><br />
<code>#include &lt;cstring&gt;</code><br />
<code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;sstream&gt;</code><br />
<code>#include &quot;<a class="el" href="gnuplot__link_8hh_source.html">gnuplot_link.hh</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for gnuplot_link.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="gnuplot__link_8cpp__incl.png" border="0" usemap="#gnuplot__link_8cpp" alt=""/></div>
<map name="gnuplot__link_8cpp" id="gnuplot__link_8cpp">
<area shape="rect" title=" " alt="" coords="399,5,528,32"/>
<area shape="rect" title=" " alt="" coords="5,80,68,107"/>
<area shape="rect" title=" " alt="" coords="93,80,178,107"/>
<area shape="rect" title=" " alt="" coords="202,80,277,107"/>
<area shape="rect" title=" " alt="" coords="301,80,364,107"/>
<area shape="rect" title=" " alt="" coords="389,80,450,107"/>
<area shape="rect" title=" " alt="" coords="475,80,540,107"/>
<area shape="rect" title=" " alt="" coords="565,80,631,107"/>
<area shape="rect" title=" " alt="" coords="655,80,735,107"/>
<area shape="rect" title=" " alt="" coords="759,80,834,107"/>
<area shape="rect" href="gnuplot__link_8hh.html" title=" " alt="" coords="858,80,981,107"/>
<area shape="rect" title=" " alt="" coords="823,155,866,181"/>
<area shape="rect" title=" " alt="" coords="890,155,949,181"/>
<area shape="rect" title=" " alt="" coords="973,155,1036,181"/>
</map>
</div>
</div>
<p><a href="gnuplot__link_8cpp_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespace_pz_g"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_pz_g.html">PzG</a></td></tr>
<tr class="memdesc:namespace_pz_g"><td class="mdescLeft">&#160;</td><td class="mdescRight">Moduł narzędzi umożliwiających połącznie z GNUPlotem. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a64a72627607d0c3f47a61d19744eebef"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_pz_g.html#a64a72627607d0c3f47a61d19744eebef">PzG::FileExists</a> (char const *filename)</td></tr>
<tr class="separator:a64a72627607d0c3f47a61d19744eebef"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a436754f8938adb6375b530a1953f2d73"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="gnuplot__link_8cpp.html#a436754f8938adb6375b530a1953f2d73">STDIN</a> = 0</td></tr>
<tr class="separator:a436754f8938adb6375b530a1953f2d73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1cb2ab4d1efcd28bda21b7a4eb2a5cee"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="gnuplot__link_8cpp.html#a1cb2ab4d1efcd28bda21b7a4eb2a5cee">STDOUT</a> = 1</td></tr>
<tr class="separator:a1cb2ab4d1efcd28bda21b7a4eb2a5cee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d8d7783183a08d769e3c695cd35587f"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_pz_g.html#a6d8d7783183a08d769e3c695cd35587f">PzG::LINE_LENGTH</a> = 120</td></tr>
<tr class="separator:a6d8d7783183a08d769e3c695cd35587f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a436754f8938adb6375b530a1953f2d73"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a436754f8938adb6375b530a1953f2d73">&#9670;&nbsp;</a></span>STDIN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int STDIN = 0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="gnuplot__link_8cpp_source.html#l00020">20</a> of file <a class="el" href="gnuplot__link_8cpp_source.html">gnuplot_link.cpp</a>.</p>

</div>
</div>
<a id="a1cb2ab4d1efcd28bda21b7a4eb2a5cee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1cb2ab4d1efcd28bda21b7a4eb2a5cee">&#9670;&nbsp;</a></span>STDOUT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int STDOUT = 1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="gnuplot__link_8cpp_source.html#l00021">21</a> of file <a class="el" href="gnuplot__link_8cpp_source.html">gnuplot_link.cpp</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_167790342fb55959539d550b874be046.html">project</a></li><li class="navelem"><a class="el" href="dir_f77a644fded742ea05ed17fa0fdf6fe1.html">src</a></li><li class="navelem"><a class="el" href="gnuplot__link_8cpp.html">gnuplot_link.cpp</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
